//******************************************
//nQmain.c
//汾:  V1.0	02/20/2020
//: 
//ע: 
//******************************************
#ifndef	IO_MEM
#define	IO_MEM
#endif
#include "main.h"


void main()
{
	{// the process of IEC60730 Class B in startup
		f_iec60730_class_b_startup();
		if ( f_iec60730_get_result() )
		{
			f_iec60730_go_reset();
		}
	}
	{// initial for user code
		NOP;
		NOP;
		NOP;
		NOP;
		NOP;
	}
	
	while(1)
	{
		CLR_WDT;
		{// the process of IEC60730 Class B in runtime
			f_iec60730_class_b_runtime();
			if ( f_iec60730_get_result() )
			{
				f_iec60730_go_reset();
			}
		}
		{// runtime for user code
			NOP;
			NOP;
			NOP;
			NOP;
			NOP;
		}
		NOP;
		NOP;
		NOP;
		NOP;
		NOP;
	}
}

/* ---------------------- жϷʽ ------------------------ */
void __interrupt OnlyReti(void)
{
	
}

void __interrupt_n OnlyRetn(void)
{

}

void __interrupt_n WDT_IRQ(void)
{

}

void __interrupt_n SWI_IRQ(void)
{
	SWRST = 0x5a;
	SWRST = 0xa5;
	SWRST = 0xc3;
	SWRST = 0x3c;	
}

/* -------------------  жϷʽ ------------------ */

/* -------------------- SQ7653ж ------------------ */
//[ ж ] Ҫжид
//  1. ʹ֮߳жж֮OnlyRetiΪӦж
//  2. ӦڵַжƣֱӸ
//
//ʹⲿж0ӦжϱеOnlyRetiΪEXT0_IRQ
//       EXT0_IRQ,    /* 0xffd6 : EXT0_IRQ      */ //ⲿж0
//--------------------------------------------------------------//

#pragma section const INT_VECTOR1 
//0xff3a
void * const IntTbl1[] = {	/*			°			*/			
	OnlyReti,				/* 0xff3a : Reserved		*/									
	OnlyReti,				/* 0xff3c : Reserved		*/									
	OnlyReti,				/* 0xff3e : Reserved		*/									
	OnlyReti,				/* 0xff40 : Reserved		*/									
	OnlyReti,				/* 0xff42 : Reserved		*/									
	OnlyReti,				/* 0xff44 : Reserved		*/									
	OnlyReti,				/* 0xff46 : Reserved		*/								
	OnlyReti,				/* 0xff48 : Reserved		*/									
	OnlyReti,				/* 0xff4a : Reserved		*/									
	OnlyReti,				/* 0xff4c : Reserved		*/									
	OnlyReti,				/* 0xff4e : Reserved		*/									
	OnlyReti,				/* 0xff50 : Reserved		*/									
	OnlyReti,				/* 0xff52 : Reserved		*/									
	OnlyReti,				/* 0xff54 : Reserved		*/									
	OnlyReti,				/* 0xff56 : Reserved		*/									
	OnlyReti,				/* 0xff58 : Reserved		*/									
	OnlyReti,				/* 0xff5a : Reserved        */								
	OnlyReti,				/* 0xff5c : Reserved        */									
	OnlyReti,				/* 0xff5e : Reserved        */									
	OnlyReti,				/* 0xff60 : Reserved		*/									
	OnlyReti,				/* 0xff62 : Reserved		*/									
	OnlyReti,				/* 0xff64 : Reserved		*/									
	OnlyReti,				/* 0xff66 : Reserved		*/									
	OnlyReti,				/* 0xff68 : Reserved		*/									
	OnlyReti,				/* 0xff6a : Reserved    	*/
	OnlyReti,				/* 0xff6c : TX2_IRQ			*/									
	OnlyReti,				/* 0xff6e : RX2_IRQ			*/		
	OnlyReti,				/* 0xff70 : Reserved		*/									
	OnlyReti,				/* 0xff72 : Reserved		*/									
	OnlyReti,				/* 0xff74 : Reserved		*/									
	OnlyReti,				/* 0xff76 : Reserved		*/									
	OnlyReti,				/* 0xff78 : Reserved		*/									
	OnlyReti,				/* 0xff7a : Reserved		*/									
	OnlyReti,				/* 0xff7c : Reserved		*/									
	OnlyReti,				/* 0xff7e : Reserved		*/									
	OnlyReti,				/* 0xff80 : Reserved		*/		
	OnlyReti,		    	/* 0xff82 : EXT9_IRQ		*/									
	OnlyReti,	    		/* 0xff84 : EXT8_IRQ		*/									
	OnlyReti,				/* 0xff86 : Reserved		*/									
	OnlyReti,				/* 0xff88 : Reserved		*/									
	OnlyReti,				/* 0xff8a : Reserved		*/									
	OnlyReti,				/* 0xff8c : Reserved		*/									
	OnlyReti,				/* 0xff8e : Reserved		*/									
	OnlyReti,				/* 0xff90 : TX1_IRQ		    */							
	OnlyReti,				/* 0xff92 : RX1_IRQ		    */									
	OnlyReti,				/* 0xff94 : Reserved		*/									
	OnlyReti,				/* 0xff96 : Reserved		*/									
	OnlyReti,				/* 0xff98 : TMRA41_IRQ		*/									
	OnlyReti,				/* 0xff9a : TMRA40_IRQ		*/									
	OnlyReti,				/* 0xff9c : TMRA31_IRQ		*/									
	OnlyReti,				/* 0xff9e : TMRA30_IRQ		*/									
	OnlyReti,				/* 0xffa0 : EE_IRQ			*/									
	OnlyReti,				/* 0xffa2 : EXT7_IRQ		*/									
	OnlyReti,				/* 0xffa4 : EXT6_IRQ		*/									
	OnlyReti,				/* 0xffa6 : EXT5_IRQ		*/									
	OnlyReti,				/* 0xffa8 : EXT4_IRQ		*/									
	OnlyReti,				/* 0xffaa : Reserved		*/									
	OnlyReti,				/* 0xffac : Reserved		*/									
	OnlyReti,				/* 0xffae : Reserved		*/									
	OnlyReti,				/* 0xffb0 : DIC_IRQ			*/									
	OnlyReti,				/* 0xffb2 : Reserved		*/									
	OnlyReti,				/* 0xffb4 : Reserved		*/									
	OnlyReti,				/* 0xffb6 : Reserved		*/									
	OnlyReti,				/* 0xffb8 : Reserved		*/									
	OnlyReti,				/* 0xffba : Reserved		*/									
	OnlyReti,				/* 0xffbc : Reserved		*/									
	OnlyReti,				/* 0xffbe : Reserved		*/									
	OnlyReti,				/* 0xffc0 : Reserved		*/									
	OnlyReti,				/* 0xffc2 : Reserved		*/									
	OnlyReti,				/* 0xffc4 : FMC_IRQ			*/									
	OnlyReti,				/* 0xffc6 : Reserved		*/					
	OnlyReti,				/* 0xffc8 : CMP_IRQ  		*/									
	OnlyReti,				/* 0xffca : Reserved		*/									
	OnlyReti,				/* 0xffcc : Reserved		*/									
	OnlyReti,			    /* 0xffce : ADC_IRQ			*/									
	OnlyReti,				/* 0xffd0 : EXT3_IRQ		*/									
	OnlyReti,				/* 0xffd2 : EXT2_IRQ		*/									
	OnlyReti,				/* 0xffd4 : EXT1_IRQ		*/									
	OnlyReti,				/* 0xffd6 : EXT0_IRQ		*/									
	OnlyReti,				/* 0xffd8 : SIO0_IRQ		*/									
	OnlyReti,				/* 0xffda : I2C0_IRQ		*/									
	OnlyReti,				/* 0xffdc : TX0_IRQ			*/									
	OnlyReti,				/* 0xffde : RX0_IRQ			*/									
	OnlyReti,				/* 0xffe0 : Reserved		*/									
	OnlyReti,				/* 0xffe2 : TMRA21_IRQ		*/									
	OnlyReti,				/* 0xffe4 : TMRA20_IRQ		*/									
	OnlyReti,				/* 0xffe6 : TMRA11_IRQ		*/									
	OnlyReti,				/* 0xffe8 : TMRA10_IRQ		*/	
	OnlyReti,				/* 0xffea : TMRA01_IRQ		*/									
	OnlyReti,				/* 0xffec : TMRA00_IRQ		*/									
	OnlyReti,			    /* 0xffee : LVD1_IRQ		*/									
	OnlyReti, 			    /* 0xfff0 : TBT_IRQ			*/									
	OnlyReti,				/* 0xfff2 : Reserved		*/									
	OnlyReti,				/* 0xfff4 : Reserved		*/									
	OnlyReti,				/* 0xfff6 : LVD0_IRQ		*/									
	WDT_IRQ,				/* 0xfff8 : WDT_IRQ			*/				//non-maskable		
	(void *)0xffff,			/* 0xfffa : UNDEF_IRQ		*/									
	SWI_IRQ,				/* 0xfffc : SWI_IRQ/INTUNDEF */				//non-maskable		
	STARTUP					/* 0xfffe : RESET			*/				//non-maskable		
};
#pragma section const
/*-------------------  ж ----------------------*/
